%define	module	BSD-Resource
%define	name	perl-%{module}
%define	version	1.24
%define	release	2mdk

Summary:	%{module} module for perl 
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
URL:		http://search.cpan.org/dist/%{module}/
Requires:	perl
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
%{module} module for perl

%prep
%setup -q -n %{module}-%{version} 
# perl path hack
find . -type f | xargs %{__perl} -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor </dev/null
%make
#%{__make} test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 
%makeinstall_std

%clean 
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc ChangeLog README
%{perl_vendorlib}
%{_mandir}/man*/*

%changelog
* Mon Nov 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.24-2mdk
- Rebuild for new perl

* Mon Apr 19 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.24-1mdk
- 1.24
- disable test

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.22-3mdk
- rebuild for new perl
- don't use PREFIX
- use %%makeinstall_std macro
- cosmetics

* Mon Jul 21 2003 David Baudens <baudens@mandrakesoft.com> 1.22-2mdk
- Rebuild to fix bad signature

* Sat May 31 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.22-1mdk
- initial cooker contrib.
